Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class WMSInvoker

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.GetViewServiceInvoker
          org.deegree.ogcwebservices.wpvs.WMSInvoker

    public class WMSInvoker

extends GetViewServiceInvoker

Invoker for a Web Map Service.

Author:
  Ugo Taddei, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.GetViewServiceInvoker
`resolutionStripe`

Constructor Summary
`WMSInvoker(ResolutionStripe owner, int id)` Creates a new instance of this class.

Method Summary
`void` | `invokeService(AbstractDataSource dataSource)` The implementation of this method should invoke a webservice specified by the given AbstractDataSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMSInvoker

    public WMSInvoker(ResolutionStripe owner,
                      int id)

  Creates a new instance of this class.

  Parameters:
    `owner` - the handler that owns this invoker
    `id` - which can be used to sort all the request/responses in the resolutionStripe.

Method Detail

### invokeService

    public void invokeService(AbstractDataSource dataSource)

  Description copied from class: `GetViewServiceInvoker`
  The implementation of this method should invoke a webservice specified by the given AbstractDataSource. The Services response to the Request shall be saved in the ResolutionStripe.

  Specified by:
    `invokeService` in class `GetViewServiceInvoker`
  Parameters:
    `dataSource` - a class containing the necessary data to invoke a service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org